apiVersion: monitoring.coreos.com/v1
kind: Prometheus
metadata:
  labels:
    app.kubernetes.io/component: prometheus
    app.kubernetes.io/name: prometheus
    app.kubernetes.io/version: 2.29.2
    prometheus: prometheus
    maistra.io/member-of: smcp
  name: prometheus
spec:
  nodeSelector: {}
  serviceAccountName: prometheus
  secrets:
    - prometheus-tls
    - prometheus-proxy
    - htpasswd
  externalUrl: >-
    https://prometheus-smcp.apps.cluster-4ktth.4ktth.sandbox1357.opentlc.com
  listenLocal: true
  serviceMonitorSelector: {}
  resources:
    requests:
      cpu: 70m
      memory: 1Gi
  podMonitorNamespaceSelector: {}
  alerting:
    alertmanagers:
      - apiVersion: v2
        bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
        name: alertmanager-main
        namespace: smcp
        port: http-prometheus
        scheme: https
        tlsConfig:
          ca: {}
          caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
          cert: {}
          serverName: alertmanager-main.openshift-monitoring.svc
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
          - matchExpressions:
              - key: beta.kubernetes.io/arch
                operator: In
                values:
                  - amd64
                  - ppc64le
                  - s390x
      preferredDuringSchedulingIgnoredDuringExecution:
        - weight: 2
          preference:
            matchExpressions:
              - key: beta.kubernetes.io/arch
                operator: In
                values:
                  - amd64
        - weight: 2
          preference:
            matchExpressions:
              - key: beta.kubernetes.io/arch
                operator: In
                values:
                  - ppc64le
        - weight: 2
          preference:
            matchExpressions:
              - key: beta.kubernetes.io/arch
                operator: In
                values:
                  - s390x
  probeNamespaceSelector: {}
  securityContext: {}
  probeSelector: {}
  containers:
    - args:
        - '-provider=openshift'
        - '-https-address=:3001'
        - '-http-address='
        - '-email-domain=*'
        - '-display-htpasswd-form=false'
        - '-upstream=http://localhost:9090'
        - '-htpasswd-file=/etc/proxy/htpasswd/auth'
        - '-openshift-service-account=prometheus'
        - '-openshift-sar={"resource": "namespaces", "verb": "get"}'
        - >-
          -openshift-delegate-urls={"/": {"resource": "namespaces", "verb":
          "get"}}
        - '-tls-cert=/etc/tls/private/tls.crt'
        - '-tls-key=/etc/tls/private/tls.key'
        - >-
          -client-secret-file=/var/run/secrets/kubernetes.io/serviceaccount/token
        - '-cookie-secret-file=/etc/proxy/secrets/session_secret'
        - '-openshift-ca=/etc/pki/ca-trust/extracted/pem/ca-bundle.crt'
        - '-openshift-ca=/var/run/secrets/kubernetes.io/serviceaccount/ca.crt'
      env:
        - name: HTTP_PROXY
        - name: HTTPS_PROXY
        - name: NO_PROXY
      image: >-
        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f54c8b72fa0108e5c2fa4cb3ac3a08a089128dcef95540dd11d3702208216fbd
      name: prometheus-proxy
      ports:
        - containerPort: 3001
          name: https
          protocol: TCP
      resources:
        requests:
          cpu: 1m
          memory: 20Mi
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
        - mountPath: /etc/tls/private
          name: secret-prometheus-tls
        - mountPath: /etc/proxy/secrets
          name: secret-prometheus-proxy
        - mountPath: /etc/proxy/htpasswd
          name: secret-htpasswd
        - mountPath: /etc/pki/ca-trust/extracted/pem/
          name: configmap-trusted-ca-bundle
          readOnly: true
    - name: prometheus
#      resources: {}
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:01d1f72e8ffebd2ccd43138e8ed115e01e3b94f6ce7b257e5dbc668a7d1862a0
      volumeMounts:
        - mountPath: /etc/pki/ca-trust/extracted/pem/
          name: configmap-trusted-ca-bundle
          readOnly: true
        - mountPath: /etc/prometheus/configmaps/serving-certs-ca-bundle
          name: configmap-openshift-service-ca-crt
          readOnly: true
        - mountPath: /etc/prometheus/configmaps/kubelet-serving-ca-bundle
          name: configmap-kube-root-ca-crt
          readOnly: true
    - name: config-reloader
      resources:
        requests:
          cpu: 1m
          memory: 10Mi
  podMetadata:
    annotations:
      target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
    labels:
      app.kubernetes.io/component: prometheus
      app.kubernetes.io/name: prometheus
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 2.29.2
      maistra.io/member-of: smcp
  podMonitorSelector:
    matchLabels:
      maistra.io/member-of: smcp
  serviceMonitorNamespaceSelector:
    matchLabels:
      maistra.io/member-of: smcp
  rules:
    alert: {}
  arbitraryFSAccessThroughSMs: {}
  version: 2.29.2
  volumes: []
  configMaps:
  - istio-basic
  - trusted-ca-bundle
  - kube-root-ca.crt
  - openshift-service-ca.crt
  image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b6dcc2119c39dfac09250862f33b6a8d21c813b0467aa3b98ed8f1c0fc2d0a3b
  replicas: 2
  ruleSelector: {}
  ruleNamespaceSelector:
    matchLabels:
      maistra.io/member-of: smcp
  retention: 2h
  additionalScrapeConfigs:
    name: additional-scrape-configs
    key: prometheus.yaml